### Virtual Method

# EDataCal CalBackendSync get_free_busy_sync

#### Declaration [src]

    void
    get_free_busy_sync (
      ECalBackendSync* backend,
      EDataCal* cal,
      GCancellable* cancellable,
      const GSList* users,
      time_t start,
      time_t end,
      GSList** freebusyobjs,
      GError** error
    )

#### Description [src]

Get Free/Busy objects.

#### Parameters

`cal`

  Type: `EDataCal`

  No description available.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`users`

  Type: A list of `gpointer`

  No description available.

  The data is owned by the caller of the method.

`start`

  Type: `time_t`

  No description available.

`end`

  Type: `time_t`

  No description available.

`freebusyobjs`

  Type: A list of `gpointer`

  No description available.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.